Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_ConstTessMemberResultCallback_0_0< del, void, T > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _ConstTessMemberResultCallback_0_0< del, void, T >:

List of all members.

## Public Types
typedef TessClosure | base
typedef void(T::* | MemberSignature )() const

## Public Member Functions
| _ConstTessMemberResultCallback_0_0 (const T *object, MemberSignature member)
virtual void | Run ()
Public Member Functions inherited from TessClosure
virtual | ~TessClosure ()

## Detailed Description

### template<bool del, class T>
class _ConstTessMemberResultCallback_0_0< del, void, T >

Definition at line 74 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class T >

typedef TessClosure _ConstTessMemberResultCallback_0_0< del, void, T >::base

Definition at line 77 of file tesscallback.h.

template<bool del, class T >

typedef void(T::* _ConstTessMemberResultCallback_0_0< del, void, T >::MemberSignature)() const

Definition at line 78 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class T >

_ConstTessMemberResultCallback_0_0< del, void, T >::_ConstTessMemberResultCallback_0_0 | ( | const T * | object,
|  | MemberSignature | member
| ) |  |
| inline

Definition at line 85 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class T >

virtual void _ConstTessMemberResultCallback_0_0< del, void, T >::Run | ( |  | ) |
| inline virtual

Implements TessClosure.

Definition at line 91 of file tesscallback.h.

{
if (!del) {
(object_->*member_)();
} else {
(object_->*member_)();
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h